<template>
	<view class="login">
		<!-- <view class="loginBtn">
      <u-button text="微信一键登录" type="success" shape="circle" icon="weixin-fill" @click="apiLogin"></u-button>
    </view> -->

		<!--国际化-->
		<js-lang title="login.title" :showBtn="false"></js-lang>
		<view class="logo">无人值守</view>
		<!-- 租户列表 -->
		<!-- <view class="tenantList">
			<u-input v-model="tenantId" placeholder="请输入内容" type="select" border="true" @click="show = true" />
			<u-action-sheet :list="tenantList" v-model="show" @click="selectTenant"></u-action-sheet>
		</view> -->
		<!--用户名密码登录-->
		<user-password />

		<!-- #ifdef MP -->
		<view class="loginBtn"><u-button class="button" @click.stop="getUserProfile" :disabled="btnLoading" :loading="btnLoading" type="primary" text="微信一键登录"></u-button></view>
		<view class="register" @click="registerClick"><text>注册</text></view>
		<!-- #endif -->
		<view class="login-bottom-box"><view class="copyright">2023冀中能源无人值守微信小程序</view></view>
	</view>
</template>

<script>
import { apiLogin, apiLogin2, apiLoginPassword } from '@/api/publicInterface.js';
import { mapMutations } from 'vuex';
import userPassword from './userPassword.vue';

export default {
	data() {
		return {
			// wxcode: '31363631363534303739323636', // 客户
			// wxcode: '31363631363534303700000000', // 货代1
			// wxcode: '31363631363534303700000004', // 货代2
			wxcode: '31363631363534303700000001', // 司机1
			// wxcode: '31363631363534303700000005', // 司机2
			// wxcode: '', // 客户
			openid: '',
			roleId: 0,

			tenantId: undefined,
			btnLoading: false,
			show: false,
			tenantList: []
		};
	},
	components: {
		userPassword
	},
	methods: {
		...mapMutations(['setUserTabbar']),
		// 访问wx.login,获取code
		login() {
			// let _this = this;
			// 获取登录用户code
			uni.login({
				success: res => {
					console.log('登录loginRes', res);
					if (res.code) {
						this.wxcode = res.code;
					} else {
						uni.showToast({
							title: '微信登录失败！',
							duration: 2000
						});
					}
					// this.apiLogin();
				}
			});
		},
		// 登录接口
		apiLogin() {
			// console.log(this.$uStoreKey.roleType);
			apiLogin2({ code: this.wxcode })
				.then(res => {
					console.log('请求登录', res);
					if (res.msg == '需绑定') {
						uni.navigateTo({
							url: `/pages/register/register?code=${res.data}`
						});
					}
					if (res.msg == '登录成功') {
						uni.setStorageSync('userInfo', res.data);
						this.setUserTabbar(res.data.type);
						uni.switchTab({
							url: '/pages/tabbar-page/index-tabbar/index-tabbar'
						});
					}
				})
				.catch(err => {
					console.log('错误', err);
				});
		},
		registerClick(){
			uni.navigateTo({
				url:"/pages/register/register"
			})
		}
	}
};
</script>

<style lang="scss">
@import 'index.scss';
.login {
	// height: 100vh;
	// display: flex;
	// align-items: center;

	// .loginBtn {
	//   margin: 0 auto;
	//   width: 80%;

	//   .u-button {
	//     .u-icon {
	//       .u-icon__icon {
	//         font-size: vww(20) !important;
	//       }
	//     }
	//   }

	//   .u-button--success {
	//     border-style: none;
	//   }
	// }
	.loginBtn {
		margin-top: vww(20);
		.u-button {
			width: 80%;
		}
	}
	.logo {
		width: 80%;
		font-size: 64rpx;
		color: #497bff;
		margin: 50rpx auto 0;
		text-align: center;
	}

	.list-call-icon {
		color: #ff0000;
	}

	.currentPhone-box {
		text-align: center;
		padding: 40rpx 80rpx;

		.number-text {
			color: #000000;
			font-size: 60rpx;
		}

		.other-text {
			color: #999999;
			font-size: 26rpx;
			padding: 20rpx 0;
		}

		.u-btn {
			margin: 30rpx auto;
		}

		.u-hairline-border {
			border: 1px solid #fff;
		}
	}

	.register {
		color: #497bff;
		height: 40rpx;
		line-height: 40rpx;
		font-size: 28rpx;
		position: fixed;
		bottom: vww(70);
		text-align: center;
		width: 100%;
	}

	.register-link {
		float: right;
		padding: 0 16rpx;
	}

	.reg-link {
		display: inline-block;
		color: #497bff;
	}

	.oauth2 {
		display: flex;
		flex-direction: row;
		justify-content: space-around;
		margin: 0rpx 100rpx 30rpx;

		image {
			height: 80rpx;
			width: 80rpx;
		}
	}

	.u-tabs {
		padding: 0 70rpx;
	}

	.tenantList {
		font-size: 32rpx;
		width: 80%;
		height: 80rpx;
		text-align: center;
		margin: 50rpx auto 0;
	}
}
</style>
